{block name='account-delete-account'}
    {block name='heading'}
        <h1>{lang key='deleteAccount' section='login'}</h1>
    {/block}
    {block name='account-delete-account-alert'}
        <div role="alert" class="alert alert-danger">
            {lang key='reallyDeleteAccount' section='login'}
        </div>
    {/block}
    {block name='account-delete-account-form'}
        <form
            method="post"
            action="{get_static_route id='jtl.php'}"
            id="delete_account"
            class="jtl-validate label-slide"
        >
            {csrf_token}

            {block name='account-delete-account-form-submit'}
                <input type="hidden" name="del_acc" value="1" />
                <div class="row">
                    <div class="col col-md-3 col-12">
                        {include file="widgets/base/button.tpl" variant="secondary" classes="btn-back" href="{get_static_route id='jtl.php'}" label="{lang key='back'}" icon="{et_getIcon key="navigationPrevious"}" iconPosition="left"}
                    </div>
                    <div class="col ml-auto-util col-md-auto">
                        {include file="widgets/base/button.tpl" variant="primary" classes="btn-block" type="submit" value="1" label="{lang key='deleteAccount' section='login'}" icon="{et_getIcon key="delete"}" iconPosition="left"}
                    </div>
                </div>
            {/block}
        </form>
    {/block}
{/block}
