{block name='checkout-inc-billing-address'}
    {block name='checkout-inc-billing-address-vars'}
        {$addressData = $billingAddress|default:$Kunde}
    {/block}
    {block name='checkout-inc-billing-address-wrapper'}
        <ul class="list-unstyled inc-billing-address">
            {if isset($orderDetail)}
                {if $addressData->cFirma}<li>{$addressData->cFirma}</li>{/if}
                <li>{$addressData->cTitel} {$addressData->cVorname} {$addressData->cNachname}</li>
                <li>
                    {$addressData->cStrasse} {$addressData->cHausnummer} {if $addressData->cAdressZusatz}{$addressData->cAdressZusatz}{/if},
                    {$addressData->cPLZ} {$addressData->cOrt},
                    {$addressData->cLand}
                </li>
            {else}
                {if $addressData->cFirma}<li>{$addressData->cFirma}</li>{/if}
                {if $addressData->cZusatz}<li>{$addressData->cZusatz}</li>{/if}
                <li>{$addressData->cTitel} {$addressData->cVorname} {$addressData->cNachname}</li>
                <li>{$addressData->cStrasse} {$addressData->cHausnummer}</li>
                {if $addressData->cAdressZusatz}<li>{$addressData->cAdressZusatz}</li>{/if}
                <li>{$addressData->cPLZ} {$addressData->cOrt}</li>
                {if $addressData->cBundesland}<li>{$addressData->cBundesland}</li>{/if}
                <li>{if $addressData->angezeigtesLand}{$addressData->angezeigtesLand}{else}{$addressData->cLand}{/if}</li>
            {/if}
            {if $addressData->cUSTID}<li class="additional-contact">{lang key='ustid' section='account data'}: {$addressData->cUSTID}</li>{/if}
            {if $addressData->cTel}<li class="additional-contact">{lang key='tel' section='account data'}: {$addressData->cTel}</li>{/if}
            {if $addressData->cFax}<li class="additional-contact">{lang key='fax' section='account data'}: {$addressData->cFax}</li>{/if}
            {if $addressData->cMobil}<li class="additional-contact">{lang key='mobile' section='account data'}: {$addressData->cMobil}</li>{/if}
            <li class="address-mail">{$addressData->cMail}</li>
        </ul>
    {/block}
{/block}
