{block name='checkout-inc-steps'}
    {assign var=step1_active value=($bestellschritt[1] == 1 || $bestellschritt[2] == 1)}
    {assign var=step2_active value=($bestellschritt[3] == 1 || $bestellschritt[4] == 1)}
    {assign var=step3_active value=($bestellschritt[5] == 1)}

    {if $bestellschritt[1] != 3}
        <nav class="nav checkout-steps" aria-label="{lang key='secureCheckout' section='checkout'}">
            <ol class="breadcrumb">
                {block name='checkout-inc-steps-zero'}
                    <li class="breadcrumb-item">
                        <a href="{get_static_route id='warenkorb.php'}"
                            title="{lang section='global' key='basket'}"
                            class="breadcrumb-link"
                        >
                            <span>{lang section='global' key='basket'}</span>
                        </a>
                        <i class="breadcrumb-divider {et_getIcon key="breadcrumbDivider"}"></i>
                    </li>
                {/block}

                {block name='checkout-inc-steps-first'}
                    <li class="breadcrumb-item {if $step1_active}active{/if}">
                        <a href="{get_static_route id='bestellvorgang.php'}?editRechnungsadresse=1"
                            title="{lang section='account data' key='billingAndDeliveryAddress'}"
                            class="breadcrumb-link"
                        >
                            <span>{lang section='account data' key='billingAndDeliveryAddress'}</span>
                        </a>

                        <i class="breadcrumb-divider {et_getIcon key="breadcrumbDivider"}"></i>
                    </li>
                {/block}

                {block name='checkout-inc-steps-second'}
                    <li class="breadcrumb-item {if $step2_active}active{/if}">
                        <a href="{get_static_route id='bestellvorgang.php'}?editVersandart=1"
                            title="{lang section='account data' key='shippingAndPaymentOptions'}"
                            class="breadcrumb-link"
                        >
                            <span>
                                {lang section='account data' key='shippingAndPaymentOptions'}
                            </span>
                        </a>

                        <i class="breadcrumb-divider {et_getIcon key="breadcrumbDivider"}"></i>
                    </li>
                {/block}

                {block name='checkout-inc-steps-third'}
                    <li class="breadcrumb-item {if $step3_active}active{/if}">
                        <span>
                            {lang section='checkout' key='summary'}
                        </span>
                    </li>
                {/block}
            </ol>
        </nav>
    {/if}
{/block}
