{block name='layout-header-shop-nav-wish'}
    {$idPostFix=$idPostFix|default:''}
    {et_isShopVersionAtLeast value="5.2.0-beta" assign='shopIsAtLeast52'}
    {if !empty($wishlists) && $Einstellungen.global.global_wunschliste_anzeigen === 'Y'}
        {$wlCount = 0}
        {if $shopIsAtLeast52}
            {if JTL\Session\Frontend::getWishlist()->getID() > 0}
                {$wlCount = count(JTL\Session\Frontend::getWishlist()->getItems())}
            {/if}
        {else}
            {if isset($smarty.session.Wunschliste->CWunschlistePos_arr)}
                {$wlCount = count($smarty.session.Wunschliste->CWunschlistePos_arr)}
            {/if}
        {/if}
        <div id="shop-nav-wish{$idPostFix}" class="nav-item dropdown {if $nSeitenTyp === $smarty.const.PAGE_WUNSCHLISTE} active{/if}">
            {block name='layout-header-shop-nav-wish-link'}
                <a class="nav-link" aria-expanded="false" aria-label="{lang key="wishlist"}" data-toggle="dropdown">
                    <i class="{et_getIcon key='wishlist'} et-wishlist-icon">
                        <span id="badge-wl-count{$idPostFix}" class="et-count-badge {if $wlCount === 0} d-none{/if}" title="{$wlCount}">
                            {$wlCount}
                        </span>
                    </i>
                </a>
            {/block}
            {block name='layout-header-shop-nav-wish-dropdown'}
                <div id="nav-wishlist-collapse{$idPostFix}" class="dropdown-menu dropdown-menu-right lg-min-w-lg">
                    <div id="wishlist-dropdown-container{$idPostFix}">
                        {block name='layout-header-shop-nav-wish-include-wishlist-dropdown'}
                            {include file='snippets/wishlist_dropdown.tpl'}
                        {/block}
                    </div>
                </div>
            {/block}
        </div>
    {/if}
{/block}
