{block name='register-index-content'}
    {$inWidget=$inWidget|default:false}
    {if $step === 'formular'}
        {if isset($checkout) && $checkout == 1}
            {block name='register-index-include-inc-steps'}
                <div class="{if !$inWidget}container{if isset($Link) && $Link->getIsFluid() === true}-fluid{/if}{/if} register-steps">
                    {include file='checkout/inc_steps.tpl'}
                </div>
            {/block}
            {block name='register-index-heading'}
                {if JTL\Session\Frontend::getCustomer()->getID() > 0}
                    {lang key='changeBillingAddress' section='account data' assign='panel_heading'}
                {else}
                    {lang key='createNewAccount' section='account data' assign='panel_heading'}
                {/if}
            {/block}
        {/if}
        {block name='register-index-include-extension'}
            {include file='snippets/extension.tpl'}
        {/block}
        {block name='register-index-alert'}
            <div class="{if !$inWidget}container{if isset($Link) && $Link->getIsFluid() === true}-fluid{/if}{/if}">
                {if !empty($fehlendeAngaben)}
                    <div role="alert" class="alert alert-danger">{lang key='mandatoryFieldNotification' section='errorMessages'}</div>
                {/if}
                {if isset($fehlendeAngaben.email_vorhanden) && $fehlendeAngaben.email_vorhanden == 1}
                    <div role="alert" class="alert alert-danger">{lang key='emailAlreadyExists' section='account data'}</div>
                {/if}
                {if isset($fehlendeAngaben.formular_zeit) && $fehlendeAngaben.formular_zeit == 1}
                    <div role="alert" class="alert alert-danger">{lang key='formToFast' section='account data'}</div>
                {/if}
            </div>
        {/block}
        {block name='register-index-new-customer'}
            <div class="{if !$inWidget}container{if isset($Link) && $Link->getIsFluid() === true}-fluid{/if}{/if}">
                <div id="new_customer" class="row">
                    <div class="col col-12">
                        {if !isset($checkout) && JTL\Session\Frontend::getCustomer()->getID() === 0 && !$inWidget}
                            {opcMountPoint id='opc_before_heading'}
                            {block name='register-index-new-customer-heading'}
                                <h1 class="h2">{lang key='createNewAccount' section='account data'}</h1>
                            {/block}
                        {/if}
                        {opcMountPoint id='opc_before_form_card'}
                        <div id="panel-register-form">
                            {block name='register-index-include-form'}
                                {opcMountPoint id='opc_before_form'}
                                {include file='register/form.tpl'}
                                {opcMountPoint id='opc_after_form'}
                            {/block}
                        </div>
                    </div>
                </div>
            </div>
        {/block}
    {elseif $step === 'formular eingegangen'}
        {block name='register-index-account-created'}
            {opcMountPoint id='opc_before_heading' inContainer=false}
            <div class="{if !$inWidget}container{if isset($Link) && $Link->getIsFluid() === true}-fluid{/if}{/if} register-finished">
                <h1>{lang key='accountCreated'}</h1>
                {opcMountPoint id='opc_after_heading'}
                <p>{lang key='activateAccountDesc'}</p>
            </div>
        {/block}
    {/if}
{/block}