{block name='snippets-currency-dropdown'}
    {$allCurrencies = JTL\Session\Frontend::getCurrencies()}
    {$currentCurrency = JTL\Session\Frontend::getCurrency()}
    {if count($allCurrencies) > 1}
        <div class="nav-item dropdown currency-dropdown">
            <a class="nav-link nav-link-custom dropdown-toggle et-dropdown-toggle" href="#" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" role="button">
                {$currentCurrency->getName()}
                <i class='{et_getIcon key="dropdownOpen"} et-dropdown-open'></i><i class='{et_getIcon key="dropdownClosed"} et-dropdown-closed'></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right">
                {foreach $allCurrencies as $currency}
                    {block name='snippets-currency-dropdown-item'}
                        <a class="dropdown-item link-currency{if $currentCurrency->getName() === $currency->getName()} active{/if}" href="{$currency->getURLFull()}" rel="nofollow" data-iso="{$currency->getCode()}">
                            {$currency->getName()}
                        </a>
                    {/block}
                {/foreach}
            </div>
        </div>
    {/if}
{/block}