{block name='snippets-productlist-page-nav'}
    {* This file is not actually rendered by default, but left in for compatibility reasons *}
    {if $Suchergebnisse->getProductCount() > 0}
        {opcMountPoint id='opc_before_page_nav_header'}

        {block name='snippets-productlist-page-nav-hr-top'}{/block}

        <div class="row no-gutters productlist-page-nav-header-m productlist-page-nav">
            {if count($NaviFilter->getSearchResults()->getProducts()) > 0}
                {block name='snippets-productlist-page-nav-result-options-sort'}
                    <div class="col col-12 col-xl-auto displayoptions">
                        {block name='snippets-productlist-page-nav-include-result-options'}
                            {if count($Suchergebnisse->getProducts()) > 0}
                                {opcMountPoint id='opc_before_result_options'}
                            {/if}
                            <div id="improve_search" class="result-option-wrapper">
                                {include file='productlist/result_options.tpl'
                                    itemCount=$Suchergebnisse->getProductCount()
                                    filterPlacement=$filterPlacement}
                            </div>
                        {/block}
                        {block name='snippets-productlist-page-nav-actions'}
                            {block name='snippets-productlist-page-nav-actions-sort'}
                                {if count($Suchergebnisse->getSortingOptions()) > 0}
                                    <div class="filter-type-FilterItemSort">
                                        {lang key='sorting' section='productOverview'}
                                        {foreach $Suchergebnisse->getSortingOptions() as $option}
                                            <a class="page-nav-filter-item {if $option->isActive()}active{/if}" rel="nofollow" href="{$option->getURL()}">
                                                {$option->getName()}
                                            </a>
                                        {/foreach}
                                    </div>
                                {/if}
                            {/block}
                            {block name='snippets-productlist-page-nav-actions-items'}
                                {if count($Suchergebnisse->getLimitOptions()) > 0}
                                    <div class="filter-type-FilterItemLimits btn-group">
                                        {lang key='productsPerPage' section='productOverview'}
                                        {foreach $Suchergebnisse->getLimitOptions() as $option}
                                            <a class="dropdown-item page-nav-filter-item {if $option->isActive()}active{/if}" rel="nofollow" href="{$option->getURL()}">
                                                {$option->getName()}
                                            </a>
                                        {/foreach}
                                    </div>
                                {/if}
                            {/block}
                            {block name='snippets-productlist-page-nav-include-layout-options'}
                                {include file='productlist/layout_options.tpl'}
                            {/block}
                        {/block}
                    </div>
                {/block}
            {/if}
        </div>
        {block name='snippets-productlist-page-nav-hr-bottom'}{/block}
    {/if}
{/block}
