{block name="et-product-slider-info-box"}
    <div class="et-product-slider-info-box et-slider-slide et-item-slider et-info-box">
        <div class="et-info-box-content">
            {if $infoBox.link !== null && !empty($infoBox.link.href)}
            <a href="{$infoBox.link.href}"{if !empty($infoBox.link.title)} title="{$infoBox.link.title}"{/if}{if $infoBox.link.external} target="_blank" rel="noreferrer noopener"{/if}>
                {/if}
                {if $infoBox.useCustomContent}
                    <div class="et-info-box-content-custom">
                        {$infoBox.content}
                    </div>
                {else}
                    <div class="et-info-box-content-image">
                        {if !empty($infoBox.image.src)}
                            {image lazy=$et_BaseWidget.lazyLoadImages webp=!empty($infoBox.image.srcWebP)
                                src="{$infoBox.image.src}"
                                alt="{$infoBox.image.alt}"
                                width={$infoBox.image.width}
                                height={$infoBox.image.height}
                                fluid=true
                            }
                        {/if}
                    </div>
                {/if}
                {if $infoBox.link !== null && !empty($infoBox.link.href)}
            </a>
            {/if}
        </div>
    </div>
{/block}